Subject: bonding and ifenslave version.

From: Nicolas de Pesloüan<[email-masked]>
Date: Wed, 03 Aug 2011 08:43:47 +0200

Le 02/08/2011 22:06, Nicolas de Pesloüan a écrit :
> Commit 655f8919d549ad1872e24d826b6ce42530516d2e
>      bonding: add min links parameter to 802.3ad
>
> and commit ebd8e4977a87cb81d93c62a9bff0102a9713722f
>      bonding: add all_slaves_active parameter
>
> introduced new options to bonding, but didn't provide the documentation
> for those options.
>
> Signed-off-by: Nicolas de Pesloüan<[email-masked]>
> ---

Jay, Andy,

While working at this patch, I noticed that the bonding driver version wasn't bumped up at the time 
those options were introduced.

I thought introducing a new option should cause the driver version to change. Am I right?

On a different but related topic, the version in Documentation/networking/ifenslave.c (1.1.0) didn't 
change since the git origin and probably since 2003.

Arguably, none of the commit regarding this file introduced a significant change (with the possible 
exception of commit e6d184e33109010412ad1d59719af74755a935f4, [NET]: Fix ifenslave to not fail on 
lack of IP information). But if we never change a 3-level version number, whatever the level of 
change, this version number might be useless. Any comment?

	Nicolas.